### Function

# GLib Cond new

deprecated: 2.32

#### Declaration

    GCond*
    g_cond_new (
      void
    )

#### Description

Allocates and initializes a new `GCond`.

Deprecated since: 2.32

GCond can now be statically allocated, or embedded in structures and initialised with g_cond_init().

This function is not directly available to language bindings.

#### Return value

Type: `GCond`

A newly allocated `GCond`. Free with g_cond_free().

The data is owned by the called function.